PKG      = implementacja_opengl
OBJS     = implementacja_opengl.o

CC       = g++
STRIP    = strip
RM       = rm

CFLAG    = -Wall -O2 -g \
           -I/usr/local/include -I. \
           -L/usr/X11R6/lib
LIBS     = -lGL -lGLU -lglut

$(PKG):$(OBJS)
	$(CC) -o $@ $(OBJS) $(CFLAG) $(LIBS)
	$(STRIP) $@

.cpp.o:
	$(CC) -c $(CFLAG) $?

clean:
	$(RM) -f *.o *~ $(PKG) *.core core
